Arch SchnittEbene

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch SectionPlane and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語

Arch SectionPlane.svg Arch SchnittEbene

Menüeintrag
Arch → Schnittebene
Arbeitsbereich
Arch
Standardtastenkürzel
S P
In der Version eingeführt
-
Siehe auch
Entwurf Form2DAnsicht, TechDraw NeueArch


Beschreibung

Dieses Werkzeug platziert im aktuellen Dokument eine Schnittebene "Ding", die eine Schnitt- oder Ansichtsebene definiert. Das "Ding" wird entsprechend der aktuellen Entwurf Arbeitsebene platziert und kann durch Verschieben und Drehen verschoben und neu ausgerichtet werden, bis es die 2D Ansicht beschreibt, die du erhalten möchtest. Das Objekt Schnittebene berücksichtigt nur einen bestimmten Satz von Objekten. Objekte, die beim Erstellen einer Schnittebene ausgewählt werden, werden automatisch zu diesem Satz hinzugefügt. Andere Objekte können später mit den Arch Komponente hinzufügen und Arch Komponente entfernen Werkzeugen hinzugefügt oder daraus entfernt werden oder durch Doppelklicken auf die Schnittebene in der Baumansicht.

Die Schnittebene allein wird keine Ansicht der gesetzten Objekte erzeugen. Dazu musst du entweder eine ZeichnungsentwurfsAnsicht erstellen, um eine Ansicht auf einer Zeichnungsseite zu erzeugen, eine Entwurf Form2DAnsicht, um eine Ansicht im 3D Dokument selbst zu erzeugen, oder eine TechDraw ArchAnsicht, um eine Ansicht auf einer TechDraw Seite zu erzeugen.

Arch SectionPlane example.jpg

Anwendung

  1. Setze wahlweise die Entwurfsarbeitsebene so, dass sie die Ebene widerspiegelt, auf der du die Schnittebene platzieren möchtest.
  2. Wähle die Objekte aus, die in deiner Schnittansicht enthalten sein sollen.
  3. Drücke die Arch SectionPlane.svg Schnittebene Taste oder drücke S dann P Tasten.
  4. Bewegen/drehen der Schnittebene in die richtige Position, falls erforderlich.
  5. Wähle die Schnittebene aus, falls sie nicht bereits ausgewählt ist.
  6. Verwende entweder Zeichnung EntwurfsAnsicht, Entwurf Form2DAnsicht oder TechDraw ArchAnsicht, um eine Ansicht zu erstellen.

Optionen

  • Das Schnittebenenobjekt berücksichtigt nur einen bestimmten Satz von Objekten, nicht alle Objekte des Dokuments. Objekte können einem Schnittebenenobjekt mit den Arch Hinzufügen und Arch Entfernen Werkzeugen hinzugefügt oder entfernt werden, oder durch Doppelklicken auf die Schnittebene in der Baumansicht, Auswählen von Objekten entweder in der Liste oder in der 3D Szene und Drücken der Schaltflächen hinzufügen oder entfernen'.
  • Wenn ein Schnittebenenobjekt ausgewählt ist, verwendedas Entwurf Form2DAnsicht Werkzeug, um ein Formobjekt zu erstellen, das die Schnittansicht im Dokument darstellt.

Arch Section example2.jpg

Arch Section example3.jpg

  • Die Schnittebene kann auch verwendet werden, um die gesamte 3D Ansicht zu zeigen, die von einer unendlichen Ebene geschnitten wird. Dies ist nur visuell und hat keinen Einfluss auf die Geometrie der geschnittenen Objekte.

Arch SectionPlane CutView.jpg

Eigenschaften

  • DataNur Festkörper: Wenn dies True ist, werden nicht-feste Objekte in der Einstellung nicht berücksichtigt.
  • ViewAnzeige Länge: Die Länge des Schnittebenen Gizmos in der 3D Ansicht. Hat keinen Einfluss auf die resultierende Ansicht
  • ViewAnzeige Höhe: Die Höhe des Schnittebenen Gizmos in der 3D Ansicht. Hat keinen Einfluss auf die resultierende Ansicht
  • ViewPfeilgröße: Die Größe der Pfeile des Schnittebenen Gizmos in der 3D Ansicht. Hat keinen Einfluss auf die resultierende Ansicht
  • ViewSchnittansicht: Wenn dies true ist, wird die gesamte 3D Ansicht an der Stelle dieser Schnittebene geschnitten.
  • ViewClipansicht: Wenn dies true ist, wird die Ansicht auf die Anzeigehöhe und -länge der Schnittebene zugeschnitten. Dadurch wird die Schnittebene effektiv zu einer orthografischen Kamera, wodurch das Sichtfeld begrenzt wird. introduced in version 0.19

Arch SectionPlane ClipView.png

Die Arch Schnittebene mit der Option Clip Ansicht verhält sich wie eine Kamera und begrenzt das Sichtfeld.


Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das SchnittEbene Werkzeug kann in Makros und aus der Python Konsole verwendet werden, in dem die folgende Funktion verwendet wird:

Section = makeSectionPlane(objectslist=None, name="Section")
  • Erzeugt ein Schnitt Objekt aus Objektliste, die eine Liste von Objekten ist.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()